GET /api/v202108/notification/{notificationId}

Get a specific notification for the current user

GetNotificationV202108

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
notificationId Id of the notification to get integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

NotificationResponse
Property Description Type
archived True if the notification has been archived boolean
createdDate The date and time the notification was generated string (date-time)
messagePreview The notification message with any html tags stripped out string
notificationId The id of the notification integer (int64)
notificationType NotificationType
NotificationType properties
Property Description Type
notificationCategory NotificationCategory
NotificationCategory properties
Property Description Type
notificationCategoryDescription A description of the notification category string
notificationCategoryId The id of the notification category integer (int32)
notificationCategoryInfo The notification category name string
notificationTypeDescription A description of the notification type string
notificationTypeId The id of the notification type integer (int32)
notificationTypeInfo The notification type name string
read True if the notification has been read boolean
subject Subject of the notification string
Example Response application/json
{  "archived": false,  "createdDate": "2026-03-30",  "messagePreview": "string",  "notificationId": 1,  "notificationType": {    "notificationCategory": {      "notificationCategoryDescription": "string",      "notificationCategoryId": 1,      "notificationCategoryInfo": "string"
    },    "notificationTypeDescription": "string",    "notificationTypeId": 1,    "notificationTypeInfo": "string"
  },  "read": false,  "subject": "string"
}